Skip to main content
GET
Coin Data by ID

Notes

  • Find a coin’s API ID on its CoinGecko page, via Coins List, or this Google Sheet.
  • Tickers are limited to 100 items. Use Coin Tickers for more.
  • Coin descriptions may contain \r\n escape sequences that require processing for proper formatting.
  • When dex_pair_format=symbol, DEX pair base and target display as symbols (e.g. WETH, USDC) instead of contract addresses.
  • Use last_updated in the response to check whether the price is stale.
The has_supply_breakdown field indicates whether supply breakdown data is available for this coin. When true, use /coins/{id}/supply_breakdown to get the full breakdown.
Community data for Telegram is updated weekly. Reddit and Twitter community data are no longer supported.

SDK Examples

Authorizations

x-cg-pro-api-key
string
header
required

Learn how to set up your API key

Path Parameters

id
string
default:bitcoin
required

Coin ID. *refers to /coins/list

Example:

"bitcoin"

Query Parameters

localization
boolean

Include all localized languages in the response. Default: true

tickers
boolean

Include tickers data. Default: true

market_data
boolean

Include market data. Default: true

community_data
boolean

Include community data. Default: true

developer_data
boolean

Include developer data. Default: true

sparkline
boolean

Include sparkline 7-day data. Default: false

include_categories_details
boolean

Include categories details. Default: false

dex_pair_format
enum<string>

Set to symbol to display DEX pair base and target as symbols. Default: contract_address

Available options:
contract_address,
symbol

Response

200 - application/json

Coin data

id
string
required

Coin ID

symbol
string
required

Coin symbol

name
string
required

Coin name

web_slug
string
required

Coin web slug

asset_platform_id
string | null
required

Coin asset platform ID

platforms
object
required

Coin asset platform and contract address

detail_platforms
object
required

Detailed coin asset platform and contract address

block_time_in_minutes
number
required

Blockchain block time in minutes

hashing_algorithm
string | null
required

Blockchain hashing algorithm

categories
string[]
required

Coin categories

preview_listing
boolean
required

Preview listing coin

public_notice
string | null
required

Public notice

additional_notices
string[]
required

Additional notices

has_supply_breakdown
boolean
required

Whether detailed supply breakdown data is available via /coins/supply_breakdown

description
object
required

Coin description

Links

image
object
required

Coin image URL

country_origin
string
required

Country of origin

genesis_date
string | null
required

Genesis date

sentiment_votes_up_percentage
number | null
required

Sentiment votes up percentage

sentiment_votes_down_percentage
number | null
required

Sentiment votes down percentage

watchlist_portfolio_users
number
required

Number of users watching this coin in portfolio

market_cap_rank
integer | null
required

Market cap rank

market_cap_rank_with_rehypothecated
integer | null
required

Market cap rank including rehypothecated tokens

status_updates
object[]
required

Status updates

last_updated
string
required

Last updated timestamp

categories_details
object[]

Detailed coin categories

localization
object

Coin name localization

ico_data
object | null

ICO data

market_data
object

Market data

community_data
object

Community data

developer_data
object

Developer data

tickers
object[]

Tickers